Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1922452

Summary: rust-starship-0.54.0 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: rust-starshipAssignee: Rust SIG <rust-sig>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: decathorpe, ego.cordatus, mauricio.teixeira, mike, rust-sig
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rust-starship-0.54.0-1.fc35 rust-starship-0.54.0-1.fc34 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-06 21:31:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1920136, 1924726, 1943945, 1945949, 1951069, 1952617    
Bug Blocks:    

Description Upstream Release Monitoring 2021-01-29 18:44:28 UTC
Latest upstream release: 0.49.0
Current version/release in rawhide: 0.48.0-1.fc34
URL: https://crates.io/crates/starship

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/55456/

Comment 1 Upstream Release Monitoring 2021-02-02 20:39:11 UTC
Latest upstream release: 0.50.0
Current version/release in rawhide: 0.48.0-2.fc34
URL: https://crates.io/crates/starship

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/55456/

Comment 2 Upstream Release Monitoring 2021-03-23 17:30:19 UTC
Latest upstream release: 0.51.0
Current version/release in rawhide: 0.48.0-3.fc35
URL: https://crates.io/crates/starship

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/55456/

Comment 3 Upstream Release Monitoring 2021-04-22 16:52:05 UTC
Latest upstream release: 0.52.1
Current version/release in rawhide: 0.48.0-3.fc35
URL: https://crates.io/crates/starship

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/55456/

Comment 4 Upstream Release Monitoring 2021-05-01 18:44:17 UTC
Latest upstream release: 0.53.0
Current version/release in rawhide: 0.48.0-3.fc35
URL: https://crates.io/crates/starship

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/55456/

Comment 5 Fabio Valentini 2021-05-13 19:07:57 UTC
Requires new packages for crates:

- process_control ^3.0.1
- shadow-rs ^0.5.25
- versions ^3.0.0

Comment 6 Upstream Release Monitoring 2021-05-15 15:04:06 UTC
Latest upstream release: 0.54.0
Current version/release in rawhide: 0.48.0-3.fc35
URL: https://crates.io/crates/starship

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/55456/

Comment 7 Fedora Update System 2021-06-06 21:31:35 UTC
FEDORA-2021-2a21ea5cf3 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-06-06 21:32:16 UTC
FEDORA-2021-889f3ea6f9 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-889f3ea6f9

Comment 9 Fedora Update System 2021-06-07 01:29:48 UTC
FEDORA-2021-889f3ea6f9 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-889f3ea6f9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-889f3ea6f9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-06-15 01:04:56 UTC
FEDORA-2021-889f3ea6f9 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.